Subject: bug#73303: 30.0.91; Native compiler repeatedly interrupts at random moments

From: "N. Jackson" <[email-masked]>
Date: Wed, 18 Sep 2024 00:43:10 +0000

Hello Magnar,

In this Emacs Bug thread[1] (about native compiler warnings popping
up at inopportune moments), it was suggested that someone report to
you some specific warnings being caused by your package
expand-region, and I am doing so by including you in this email.

[1] https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73303

At 15:27 -0400 on Monday 2024-09-16, Andrea Corallo wrote:
>
>>> From: "N. Jackson" <[email-masked]>
>>> Date: Mon, 16 Sep 2024 18:14:46 +0000
>>> 
>>> 
>>> Since building Emacs 30.0.91, I have repeatedly been interrupted in
>>> my work by warnings from the native compiler.
>>> 
>>> A few examples of the warnings are:
>>> 
>>>   Warning (native-compiler): ~/.config/emacs/modules/cdlatex.el:1025:26: Warning: the function ‘reftex-what-environment’ is not known to be defined.
>>>   Warning (native-compiler): python-el-fgallina-expansions.el:161:10: Warning: the function ‘python-nav-end-of-block’ is not known to be defined.
>>>   Warning (native-compiler): python-el-fgallina-expansions.el:138:8: Warning: the function ‘python-util-forward-comment’ is not known to be defined.
>>>   Warning (native-compiler): python-el-fgallina-expansions.el:94:4: Warning: the function ‘python-nav-beginning-of-statement’ is not known to be defined.
>>>   Warning (native-compiler): python-el-fgallina-expansions.el:92:4: Warning: the function ‘python-nav-end-of-statement’ is not known to be defined.
>>>   Warning (native-compiler): python-el-fgallina-expansions.el:62:31: Warning: the function ‘python-syntax-context’ is not known to be defined.
>>>   Warning (native-compiler): python-el-fgallina-expansions.el:39:39: Warning: the function ‘python-indent’ is not known to be defined.
>>>   Warning (native-compiler): python-el-fgallina-expansions.el:37:40: Warning: the function ‘python-info-ppss-context’ is not known to be defined.
>
> I think the python* warnings should be reported as bugs to
> <https://github.com/magnars/expand-region.el>.
>
>   Andrea

Thanks Andrea, that allowed me to track these ones down.  I have in
my init file

  (custom-set-variables
  ...
   '(package-archives
     '(("gnu" . "https://elpa.gnu.org/packages/")))
  ...
   '(package-selected-packages
     '(... expand-region ...))
  ...)

and indeed the offending files (for this particular set of warnings)
are in ~/.config/emacs/elpa/expand-region-1.0.0/.

I don't think I can report this to the author and maintainer of
expand-region on Github because, IIUC, that would require me to run
proprietary JavaScript, but I am including him (Magnar Sveen) in
this email.

N.